image:
  repository: registry.gitlab.com/warrenio/library/gardener-extension-provider-warren
  tag: latest
  pullPolicy: IfNotPresent

replicaCount: 1
maxUnavailable: 1
maxSurge: 50%

resources: {}
vpa:
  enabled: true
  updatePolicy:
    updateMode: "Auto"

controllers:
  controlplane:
    concurrentSyncs: 5
  healthcheck:
    concurrentSyncs: 5
  heartbeat:
    renewIntervalSeconds: 30
  infrastructure:
    concurrentSyncs: 5
  worker:
    concurrentSyncs: 5
  ignoreOperationAnnotation: false

disableControllers: []
disableWebhooks: []

# imageVectorOverwrite: |
#   images:
#   - name: pause-container
#     sourceRepository: github.com/kubernetes/kubernetes/blob/master/build/pause/Dockerfile
#     repository: gcr.io/google_containers/pause-amd64
#     tag: "3.0"
#     version: 1.11.x
#   - name: pause-container
#     sourceRepository: github.com/kubernetes/kubernetes/blob/master/build/pause/Dockerfile
#     repository: gcr.io/google_containers/pause-amd64
#     tag: "3.1"
#     version: ">= 1.12"
#   ...

webhookConfig:
  servicePort: 443
  serverPort: 10250

## settings for metrics, e.g. scraping by seed-prometheus
##
metrics:
  ## enable metrics scraping
  ##
  enableScraping: true

config:
  clientConnection:
    acceptContentTypes: application/json
    contentType: application/json
    qps: 100
    burst: 130

  ## it is preferred to specify machineImages in CloudProfile (.spec.providerConfig.machineImages)
  #machineImages:
  #- name: coreos
  #  version: 2023.5.0
  #  path: folder/core-2023.5.0
  #  guestId: coreos64Guest

  etcd:
    storage:
      className: gardener.cloud-fast
      capacity: 25Gi

gardener:
  version: ""
  garden:
    identity: ""
  seed:
    provider: warren
    region: someregion
    spec:
      provider:
        providerConfig:
          fsType: ext4
          volumeBindingMode: Immediate

metricsPort: 8080
healthPort: 8081
